"use strict";
//  COPYRIGHT:       PrimeObjects Software Inc. (C) 2022 All Right Reserved
//  COMPANY URL:     https://www.primeobjects.com/
//  CONTACT:         developer@primeobjects.com
//
//  This source is subject to the PrimeObjects License Agreements.
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.OrgNavItem = void 0;
var react_1 = __importDefault(require("react"));
var svg_1 = __importDefault(require("primeobjects-ui-web-basic/build/cjs/controls/svg"));
var gradient_div_1 = __importDefault(require("primeobjects-ui-web-basic/build/cjs/controls/gradient-div"));
var mobx_react_lite_1 = require("mobx-react-lite");
var primeobjects_ui_web_store_1 = require("primeobjects-ui-web-store");
exports.OrgNavItem = (0, mobx_react_lite_1.observer)(function (props) {
    var isOrgAdmin = props.isOrgAdmin, size = props.size, supportResize = props.supportResize, primaryColor = props.primaryColor;
    var contextStore = (0, primeobjects_ui_web_store_1.useContextStore)();
    var context = JSON.parse(contextStore.data);
    var organization = context.organization;
    var onClickOrg = function () {
        props.onClickOrg && props.onClickOrg();
    };
    return (react_1.default.createElement("div", { className: "flex-1 h-full p-1 ".concat(size == "sm" ? "" : "pl-3"), onClick: isOrgAdmin ? onClickOrg : function () { } },
        react_1.default.createElement("div", { className: "flex flex-1 h-full py-2 ".concat(size == "sm" ? "px-2" : "", " items-center justify-center leading-none ").concat(isOrgAdmin ? "cursor-pointer" : ""), style: { width: supportResize ? 152 : "100%" } },
            react_1.default.createElement("div", { className: "flex flex-col items-center", style: { width: 36 } },
                react_1.default.createElement(svg_1.default, { size: 36, src: "/icons/app/organization.svg", color: primaryColor["500"] })),
            organization && size != "sm" && (react_1.default.createElement("div", { className: "flex flex-col w-full ml-3" },
                react_1.default.createElement("div", { className: "w-full text-xs text-gray-500" }, "Organization"),
                react_1.default.createElement("div", { className: "flex flex-row w-full" },
                    react_1.default.createElement(gradient_div_1.default, { className: "w-full leading-5 font-medium text-base text-gray-800" }, organization.name)))))));
});
//# sourceMappingURL=org.js.map