"use strict";
//  COPYRIGHT:       PrimeObjects Software Inc. (C) 2022 All Right Reserved
//  COMPANY URL:     https://www.primeobjects.com/
//  CONTACT:         developer@primeobjects.com
//
//  This source is subject to the PrimeObjects License Agreements.
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.SiteErrorSection = void 0;
var react_1 = __importDefault(require("react"));
var site_section_1 = __importDefault(require("./site-section"));
var primeobjects_helper_ui_1 = require("primeobjects-helper-ui");
var SiteErrorSection = function (props) {
    var primaryColor = (0, primeobjects_helper_ui_1.usePrimaryColor)();
    var code = props.code ? props.code : "404";
    var title = props.title ? props.title : "Page not found";
    var message = props.message
        ? props.message
        : "Sorry, something has gone wrong.";
    var goBackText = props.goBackText ? props.goBackText : "Go back home";
    var goBackUrl = props.goBackUrl ? props.goBackUrl : "/";
    return (react_1.default.createElement(site_section_1.default, { className: "relative" },
        react_1.default.createElement("div", { className: "max-w-7xl mx-auto flex flex-row" },
            react_1.default.createElement("div", { className: "my-auto flex-shrink-0 py-16 sm:py-32" },
                react_1.default.createElement("p", { className: "text-2xl font-bold text-".concat(primaryColor.name, "-600") }, code),
                react_1.default.createElement("h1", { className: "mt-4 text-4xl font-bold tracking-tight text-gray-900 sm:text-5xl" }, title),
                react_1.default.createElement("p", { className: "mt-4 text-base text-gray-600" }, message),
                props.reason && (react_1.default.createElement("p", { className: "text-base text-red-600" }, props.reason)),
                react_1.default.createElement("div", { className: "mt-6" },
                    react_1.default.createElement("a", { href: "/".concat(goBackUrl), className: "text-base font-medium text-".concat(primaryColor.name, "-600 hover:text-").concat(primaryColor.name, "-700") }, goBackText))))));
};
exports.SiteErrorSection = SiteErrorSection;
exports.default = exports.SiteErrorSection;
//# sourceMappingURL=site-error.js.map