//  COPYRIGHT:       PrimeObjects Software Inc. (C) 2022 All Right Reserved
//  COMPANY URL:     https://www.primeobjects.com/
//  CONTACT:         developer@primeobjects.com
//
//  This source is subject to the PrimeObjects License Agreements.
import { isNonEmptyString } from "primeobjects-helper-util/build/cjs/core";
import { COLORS } from "primeobjects-helper-util/build/cjs/colors";
import React from "react";
import { SVG } from "primeobjects-ui-web-basic/build/cjs/controls/svg";
import { usePrimaryColor } from "primeobjects-helper-ui/build/cjs/hooks/primary-color";
import { getSolution } from "primeobjects-helper-ui";
export var PageLoader = function (props) {
    var _a;
    var solution = (_a = props.solution) !== null && _a !== void 0 ? _a : getSolution();
    var primaryColor = usePrimaryColor(solution);
    var iconSrc = isNonEmptyString(props.iconSrc)
        ? props.iconSrc
        : "/logo.svg";
    var showText = props.showText == true;
    return (React.createElement("div", { className: "h-screen flex flex-col my-auto items-center bgimg bg-cover" },
        React.createElement("div", { className: "border border-gray-150 rounded-xl p-4 m-auto ".concat(showText ? "max-w-xs w-full" : "") },
            React.createElement("div", { className: "flex " },
                React.createElement(SVG, { id: "loader_icon", src: iconSrc, color: props.usePrimaryColor
                        ? primaryColor["500"]
                        : COLORS.GRAY[600], className: "spinner h-8 w-8", size: 30 }),
                showText && (React.createElement("div", { className: "animate-pulse flex-1 space-y-6 py-1 ml-5" },
                    React.createElement("div", { className: "space-y-3" },
                        React.createElement("div", { className: "grid grid-cols-3 gap-4" },
                            React.createElement("div", { className: "h-2 bg-gray-200 rounded col-span-2" }),
                            React.createElement("div", { className: "h-2 bg-gray-200 rounded col-span-1" })),
                        React.createElement("div", { className: "h-2 bg-gray-200 rounded" }))))))));
};
export default PageLoader;
//# sourceMappingURL=loader.js.map