//  COPYRIGHT:       PrimeObjects Software Inc. (C) 2022 All Right Reserved
//  COMPANY URL:     https://www.primeobjects.com/
//  CONTACT:         developer@primeobjects.com
//
//  This source is subject to the PrimeObjects License Agreements.
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import React, { useState } from "react";
import { doNothing, isSSR } from "primeobjects-helper-util";
import { PageWrapper } from "./wrapper";
export var DashboardPageWrapper = function (props) {
    var listViewMaxWidth = props.listViewMaxWidth, currentRecord = props.currentRecord, getForm = props.getForm, getList = props.getList, listChildren = props.listChildren, listAdjHeight = props.listAdjHeight, pageWrapperProps = __rest(props, ["listViewMaxWidth", "currentRecord", "getForm", "getList", "listChildren", "listAdjHeight"]);
    var solution = props.solution, query = props.query;
    var _a = useState(undefined), context = _a[0], setContext = _a[1];
    doNothing({ context: context, solution: solution });
    var SSR = isSSR();
    var id = query.id;
    if (!SSR) {
        //because the nav router use shallow, we have to get it from window.location
        id = window.location.pathname.split("/");
        id = id[id.length - 1];
    }
    var onContextReady = function (newContext) {
        setContext(newContext);
        props.onContextReady && props.onContextReady(newContext);
    };
    var renderMainArea = function () {
        return props.children;
    };
    return (React.createElement(PageWrapper, __assign({}, pageWrapperProps, { mainArea: renderMainArea(), onContextReady: onContextReady })));
};
export default DashboardPageWrapper;
//# sourceMappingURL=dashboard-wrapper.js.map