//  COPYRIGHT:       PrimeObjects Software Inc. (C) 2022 All Right Reserved
//  COMPANY URL:     https://www.primeobjects.com/
//  CONTACT:         developer@primeobjects.com
//
//  This source is subject to the PrimeObjects License Agreements.
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __generator = (this && this.__generator) || function (thisArg, body) {
    var _ = { label: 0, sent: function() { if (t[0] & 1) throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
    return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() { return this; }), g;
    function verb(n) { return function (v) { return step([n, v]); }; }
    function step(op) {
        if (f) throw new TypeError("Generator is already executing.");
        while (g && (g = 0, op[0] && (_ = 0)), _) try {
            if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
            if (y = 0, t) op = [op[0] & 2, t.value];
            switch (op[0]) {
                case 0: case 1: t = op; break;
                case 4: _.label++; return { value: op[1], done: false };
                case 5: _.label++; y = op[1]; op = [0]; continue;
                case 7: op = _.ops.pop(); _.trys.pop(); continue;
                default:
                    if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) { _ = 0; continue; }
                    if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) { _.label = op[1]; break; }
                    if (op[0] === 6 && _.label < t[1]) { _.label = t[1]; t = op; break; }
                    if (t && _.label < t[2]) { _.label = t[2]; _.ops.push(op); break; }
                    if (t[2]) _.ops.pop();
                    _.trys.pop(); continue;
            }
            op = body.call(thisArg, _);
        } catch (e) { op = [6, e]; y = 0; } finally { f = t = 0; }
        if (op[0] & 5) throw op[1]; return { value: op[0] ? op[1] : void 0, done: true };
    }
};
import React, { useEffect } from "react";
import { getRecordDisplay } from "primeobjects-helper-util";
import SiteErrorSection from "../../sections/site-error";
import SitePageSection from "../../sections/site-page";
import CSS from "primeobjects-ui-web-store/build/cjs/css";
import { getBasicServerSideProps, getRecordServerSideProps } from "../../page/server";
import { isObject } from "primeobjects-helper-util/build/cjs/core";
import SiteBasePage from "../../page/site-base";
import { handleReadModeTooltips } from "../../page/util";
import { getTooltipCSS } from "../../controls/html-read";
import { isEmpty } from "lodash";
import SitePageSingle from "../../sections/site-page-single";
import SitePageSplit from "../../sections/site-page-split";
import { usePrimaryColor } from "primeobjects-helper-ui/build/cjs/hooks/primary-color";
var ENTITY_NAME = "Page";
export var getServerSidePropsForReadPage = function (props) { return __awaiter(void 0, void 0, void 0, function () {
    var basicServerSideProps;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0: return [4 /*yield*/, getBasicServerSideProps(props)];
            case 1:
                basicServerSideProps = _a.sent();
                return [4 /*yield*/, getRecordServerSideProps(basicServerSideProps, ENTITY_NAME)];
            case 2: return [2 /*return*/, _a.sent()];
        }
    });
}); };
export var ReadPage = function (props) {
    var url = props.url, host = props.host, record = props.record, data = props.data, organization = props.organization, query = props.query, domain = props.domain, solution = props.solution, appTrack = props.appTrack, port = props.port;
    var site = solution === null || solution === void 0 ? void 0 : solution.site;
    var navigation = site === null || site === void 0 ? void 0 : site.navigation;
    var introduction = site === null || site === void 0 ? void 0 : site.introduction;
    var supportOrganizationBrand = props.supportOrganizationBrand == true;
    var primaryColor = usePrimaryColor();
    useEffect(function () {
        handleReadModeTooltips(record);
    }, [record]);
    var page = isObject(record)
        ? __assign(__assign({}, record), { title: getRecordDisplay(record), submitEmailSettings: introduction.submitEmailSettings }) : {};
    if (isEmpty(page)) {
        try {
            console.log({ props: JSON.stringify(props) });
        }
        catch (_a) { }
    }
    var description = page.description
        ? page.description
        : page.summary
            ? page.summary
            : "";
    if (description.length > 150)
        description.substring(0, 150) + " ...";
    return (React.createElement(SiteBasePage, { appTrack: appTrack, solution: solution, headProps: {
            host: host,
            url: url,
            title: page.title,
            description: description,
            port: port,
            domain: domain,
            cssList: [
                "https://cdn.jsdelivr.net/npm/prismjs@1.29.0/themes/prism.css",
                "/css/prism-js-fold.css"
            ]
        }, navigation: [], siteOrgName: supportOrganizationBrand && (organization === null || organization === void 0 ? void 0 : organization.siteName)
            ? organization === null || organization === void 0 ? void 0 : organization.name
            : undefined, siteName: supportOrganizationBrand && (organization === null || organization === void 0 ? void 0 : organization.siteName), siteLogo: supportOrganizationBrand && (organization === null || organization === void 0 ? void 0 : organization.siteLogo), currentContextSettings: {
            needAuthorization: false,
            skipAuthentication: false
        } }, !isEmpty(page) ? (React.createElement(SitePageSingle, null,
        React.createElement(CSS, { id: "read-css", content: getTooltipCSS(primaryColor) }),
        React.createElement(SitePageSection, { solution: solution, maxTagCount: 15, flushCache: (query === null || query === void 0 ? void 0 : query.flushCache) == "true", page: page, tagSectionTitle: "Tags", urlTemplate: "/read/card/[PH.SLUG]", navigation: navigation, similarSectionAdditionalData: data, similarSectionTitle: "More Readings" }))) : (React.createElement(SitePageSplit, null,
        React.createElement(SiteErrorSection, { reason: query.token &&
                "The token may be invalid or expired." })))));
};
export default ReadPage;
//# sourceMappingURL=page.js.map