//  COPYRIGHT:       PrimeObjects Software Inc. (C) 2022 All Right Reserved
//  COMPANY URL:     https://www.primeobjects.com/
//  CONTACT:         developer@primeobjects.com
//
//  This source is subject to the PrimeObjects License Agreements.
import React from "react";
import { PlainModal } from "primeobjects-ui-web-basic/build/cjs/controls/plain-modal";
import { getGlobalComponent } from "../../util";
import { useContextStore } from "primeobjects-ui-web-store";
import { getEntity } from "primeobjects-helper-util";
import { isNil } from "lodash";
var OrgForm = undefined;
export var OrgModal = function (props) {
    if (!OrgForm) {
        console.log("Get global components in /modals/org-modal.tsx");
        OrgForm = getGlobalComponent("OrgForm", props.Form);
    }
    var contextStore = useContextStore();
    var context = JSON.parse(contextStore.data);
    var organization = context.organization, solution = context.solution;
    var entity = getEntity(solution, "Organization");
    var show = props.show, onClickClose = props.onClickClose, title = props.title;
    return (React.createElement(PlainModal, { title: title !== null && title !== void 0 ? title : "Organization Profile", show: show, onClickClose: onClickClose, width: 700 }, !isNil(OrgForm) && (React.createElement(OrgForm, { entity: entity, record: organization }))));
};
export default OrgModal;
//# sourceMappingURL=org-modal.js.map