//  COPYRIGHT:       PrimeObjects Software Inc. (C) 2022 All Right Reserved
//  COMPANY URL:     https://www.primeobjects.com/
//  CONTACT:         developer@primeobjects.com
//
//  This source is subject to the PrimeObjects License Agreements.
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
import React, { useState, useEffect } from "react";
import { isNonEmptyString } from "primeobjects-helper-util/build/cjs/core";
import SVG from "primeobjects-ui-web-basic/build/cjs/controls/svg";
import ContentLoaderSection from "primeobjects-ui-web-basic/build/cjs/controls/content-loader";
import { COLORS } from "primeobjects-helper-util";
export var SearchSection = function (props) {
    var hideSearchButton = props.hideSearchButton, searching = props.searching, placeholder = props.placeholder, cancelSearch = props.cancelSearch;
    var _a = useState(""), keywords = _a[0], setKeywords = _a[1];
    var inputClassName = props.inputClassName ? props.inputClassName : "";
    var inputStyle = props.inputStyle ? props.inputStyle : {};
    var wrapperClassName = props.wrapperClassName
        ? props.wrapperClassName
        : "";
    var wrapperStyle = props.wrapperStyle ? props.wrapperStyle : {};
    var INPUT_MIN_WIDTH = 100;
    useEffect(function () {
        if (cancelSearch)
            onCancelSearch();
    }, [cancelSearch]);
    var onChangeSearch = function (e) {
        setKeywords(e.target.value);
        if (props.onChange)
            props.onChange("");
    };
    var onSubmitSearch = function () {
        if (props.onSubmit)
            props.onSubmit(keywords);
    };
    var onCancelSearch = function () {
        setKeywords("");
        if (props.onSubmit)
            props.onSubmit("");
    };
    var onKeyDown = function (event) {
        if (event.key === "Enter") {
            event.preventDefault();
            event.stopPropagation();
            onSubmitSearch();
        }
    };
    return (React.createElement("div", { className: "w-full flex flex-row items-center relative ".concat(wrapperClassName), style: wrapperStyle }, searching ? (React.createElement(ContentLoaderSection, { id: "search-loader", height: 32, count: 3, width: INPUT_MIN_WIDTH, barHeight: 6 })) : (React.createElement(React.Fragment, null,
        React.createElement("input", { value: keywords, placeholder: placeholder ? placeholder : "Search ...", className: "w-full border-0 text-base ".concat(searching ? "hidden" : "", " ").concat(inputClassName), style: __assign({ height: 32, minWidth: INPUT_MIN_WIDTH, marginRight: 5, width: "calc(100% - ".concat((!isNonEmptyString(keywords) ? 0 : 38) +
                    (hideSearchButton ? 0 : 30), "px)") }, inputStyle), onKeyDown: onKeyDown, onChange: onChangeSearch }),
        isNonEmptyString(keywords) && (React.createElement(SVG, { src: "/icons/platform/x.svg", size: 16, color: COLORS.GRAY["500"], onClick: onCancelSearch, style: { marginTop: -5 }, className: "mx-2 cursor-pointer" })),
        !hideSearchButton && (React.createElement(SVG, { src: "/icons/platform/search.svg", size: 24, onClick: onSubmitSearch, className: "cursor-pointer" }))))));
};
export default SearchSection;
//# sourceMappingURL=search.js.map