//  COPYRIGHT:       PrimeObjects Software Inc. (C) 2022 All Right Reserved
//  COMPANY URL:     https://www.primeobjects.com/
//  CONTACT:         developer@primeobjects.com
//
//  This source is subject to the PrimeObjects License Agreements.
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __spreadArray = (this && this.__spreadArray) || function (to, from, pack) {
    if (pack || arguments.length === 2) for (var i = 0, l = from.length, ar; i < l; i++) {
        if (ar || !(i in from)) {
            if (!ar) ar = Array.prototype.slice.call(from, 0, i);
            ar[i] = from[i];
        }
    }
    return to.concat(ar || Array.prototype.slice.call(from));
};
import React, { useState, useRef } from "react";
import Table from "../controls/antd/table";
import { isNumber } from "lodash";
import { ResizeDetectorDiv } from "primeobjects-ui-web-basic";
export var TableSection = function (props) {
    var id = props.id, columns = props.columns, selectionType = props.selectionType, data = props.data, minWidth = props.minWidth, scrollbarX = props.scrollbarX;
    var prevWidth = useRef(0);
    var curWidth = useRef(0);
    var _a = useState(0), width = _a[0], setWidth = _a[1];
    var rowSelection = {
        onChange: function (selectedRowKeys, selectedRows) {
            if (props.onRowSelected)
                props.onRowSelected(selectedRowKeys, selectedRows);
        }
    };
    var onResize = function (width) {
        if (!scrollbarX)
            return;
        //When make the table smaller, the width always need -20px to make it right
        //When make the table larger, the width is correct.
        //This could be some styling in Ant does not work properly in React
        //We have to use a stupid solution here to solve it
        curWidth.current = width ? width : 0;
        var tableWrapper = document.getElementById(id);
        var tableBody = tableWrapper &&
            tableWrapper.getElementsByClassName("ant-table-body");
        var table = tableBody &&
            tableBody.length > 0 &&
            tableBody[0].getElementsByTagName("table");
        if (table && table.length > 0) {
            if (curWidth.current < prevWidth.current) {
                curWidth.current = curWidth.current - 20;
            }
            table[0].style.width = "".concat(curWidth.current, "px");
            tableBody[0].style.width = "".concat(curWidth.current, "px");
            prevWidth.current = curWidth.current;
            updateWidth();
        }
    };
    var updateWidth = function () {
        var newWidth = isNumber(minWidth)
            ? minWidth > curWidth.current
                ? minWidth
                : curWidth.current
            : curWidth.current;
        setWidth(newWidth);
    };
    return (React.createElement(ResizeDetectorDiv, { className: "w-full", onDetect: onResize },
        React.createElement(Table, { id: id, rowKey: "id", rowSelection: !selectionType
                ? undefined
                : __assign({ type: selectionType }, rowSelection), scroll: scrollbarX && isNumber(width) ? { x: width } : {}, sticky: { offsetHeader: 0 }, pagination: false, columns: columns, footer: props.footer, dataSource: __spreadArray([], data, true) })));
};
export default TableSection;
//# sourceMappingURL=table.js.map